## opusdec opusdec — decode opus streams to audio |

## Properties

gboolean | apply-gain | Read / Write
gboolean | use-inband-fec | Read / Write

## Types and Values

struct | GstOpusDec

## Description

## Synopsis

### Element Information

plugin | opus
author | Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-opus

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 48000, 24000, 16000, 12000, 8000 }, channels=(int)[ 1, 8 ]

## Functions

## Types and Values

### struct GstOpusDec

    struct GstOpusDec {
      GstAudioDecoder       element;

      OpusMSDecoder        *state;

      guint64               packetno;

      GstBuffer            *streamheader;
      GstBuffer            *vorbiscomment;

      int sample_rate;
      int n_channels;
      guint32 pre_skip;
      gint16 r128_gain;

      GstAudioChannelPosition opus_pos[64];
      GstAudioInfo info;

      guint8 n_streams;
      guint8 n_stereo_streams;
      guint8 channel_mapping_family;
      guint8 channel_mapping[256];

      gboolean apply_gain;
      double r128_gain_volume;

      gboolean use_inband_fec;
      GstBuffer *last_buffer;
      gboolean primed;
    };

## Property Details

### The `“apply-gain”` property

      “apply-gain”               gboolean

Apply gain if any is specified in the header.

Flags: Read / Write

Default value: TRUE

### The `“use-inband-fec”` property

      “use-inband-fec”           gboolean

Use forward error correction if available.

Flags: Read / Write

Default value: FALSE